2026-08-17 22:41:14 UTC
132 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.3.3-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.3.3-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:4c0eec8d4976e7a40d61881a31e1073844150414ee45c9908fe004acf1f5bebe - 57.94% (76.7 MB)
[#001] sha256:b716743f3e6345d4cadc569efbff5fdcf6315f3a2890faa9653a0b430d33e1ab - 42.06% (55.7 MB)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9/ubi" version="9.8" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2026-08-17 16:59:54 UTC/bin/sh -c #(nop) ENV container oci
2026-08-17 16:59:56 UTC/bin/sh -c #(nop) COPY dir:9ef4152fb520f97c942cace8e515847cd3f3fd0e3b517f83e353dd8922349bf0 in /
2026-08-17 16:59:56 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2026-08-17 16:59:56 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-08-17 16:59:56 UTC/bin/sh -c #(nop) COPY dir:88c3b4f0a91b9d04b7e405bd40926d00fcb2b04dd54d192d08a39fb6f510b6bb in /usr/share/buildinfo/
2026-08-17 16:59:56 UTC/bin/sh -c #(nop) COPY dir:88c3b4f0a91b9d04b7e405bd40926d00fcb2b04dd54d192d08a39fb6f510b6bb in /root/buildinfo/
2026-08-17 16:59:57 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-08-17T16:59:20Z" "org.opencontainers.image.revision"="ea8b00418e7f684bedbc8e99572a475727a3dc10" "build-date"="2026-08-17T16:59:20Z" "architecture"="x86_64" "vcs-ref"="ea8b00418e7f684bedbc8e99572a475727a3dc10" "vcs-type"="git" "release"="1786985871"org.opencontainers.image.created=2026-08-17T16:59:20Z,org.opencontainers.image.revision=ea8b00418e7f684bedbc8e99572a475727a3dc10
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.3.3-release
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.3.3-RELEASE
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.3.3-release SWIFT_VERSION=swift-6.3.3-RELEASE SWIFT_WEBROOT=https://download.swift.org
2026-08-17 22:41:14 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.3.3-release SWIFT_VERSION=swift-6.3.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2026-08-17 22:40:47 UTC
129 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.3.3-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.3.3-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:07f974b1402cfec64bb70438889e86878358a9753e84072340706d55ea721c21 - 58.0% (74.6 MB)
[#001] sha256:06311269487f017f621f693be3f0d8dddec31f11538059896306eaa2da33b6c5 - 42.0% (54 MB)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9/ubi" version="9.8" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2026-08-17 17:02:26 UTC/bin/sh -c #(nop) ENV container oci
2026-08-17 17:02:29 UTC/bin/sh -c #(nop) COPY dir:7def9a50238f1057f14445693464b0654ec1b1f590ea03723b028cbe0b78a3e5 in /
2026-08-17 17:02:29 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2026-08-17 17:02:29 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-08-17 17:02:29 UTC/bin/sh -c #(nop) COPY dir:ba98b3d36532b53773df7011032e4163aac64a23137b7bd2f4e2b2486e52eea1 in /usr/share/buildinfo/
2026-08-17 17:02:29 UTC/bin/sh -c #(nop) COPY dir:ba98b3d36532b53773df7011032e4163aac64a23137b7bd2f4e2b2486e52eea1 in /root/buildinfo/
2026-08-17 17:02:30 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-08-17T17:01:59Z" "org.opencontainers.image.revision"="ea8b00418e7f684bedbc8e99572a475727a3dc10" "build-date"="2026-08-17T17:01:59Z" "architecture"="aarch64" "vcs-ref"="ea8b00418e7f684bedbc8e99572a475727a3dc10" "vcs-type"="git" "release"="1786985871"org.opencontainers.image.created=2026-08-17T17:01:59Z,org.opencontainers.image.revision=ea8b00418e7f684bedbc8e99572a475727a3dc10
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.3.3-release
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.3.3-RELEASE
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.3.3-release SWIFT_VERSION=swift-6.3.3-RELEASE SWIFT_WEBROOT=https://download.swift.org
2026-08-17 22:40:47 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.3.3-release SWIFT_VERSION=swift-6.3.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.